import fetch from '@/utils/fetch'

/**
 * 【增】 - 组织机构
 *
 * @param {Object} data
 * @returns
 */
export const createOrgApi = (data) =>
  fetch({ url: 'system/org', method: 'post', data })

/**
 * 【删】 - 组织机构
 * @param {number} id
 * @returns
 */
export const deleteOrgApi = (id) =>
  fetch({ url: 'system/org/' + id, method: 'delete' })

/**
 * 【改】 - 组织机构
 * @param {Object} data
 * @returns
 */
export const updateOrgApi = ({ id, ...data }) =>
  fetch({ url: 'system/org/' + id, method: 'patch', data })

/**
 * 【查】 - 组织机构
 *
 * @returns
 */
export const findAllOrgApi = () =>
  fetch({ url: 'system/org', method: 'get' })

/**
 * 通过用户ID查询组织
 *
 * @param {string} userId 用户ID，可为空，默认当前用户ID
 * @returns
 */
export const findOrgByUserIdApi = (userId) =>
  fetch({ url: 'system/org/findOrgByUserId', method: 'get', params: { userId } })
